| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
cv::detail::tracking::TrackerContribSamplerCSC Class Reference
Tracking API » Tracking API implementation details

TrackerSampler based on CSC (current state centered), used by MIL algorithm TrackerMIL. More...

`#include <opencv2/tracking/tracking_internals.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerContribSamplerCSC:

## Classes
struct | Params

## Public Types
enum | { MODE_INIT_POS = 1 , MODE_INIT_NEG = 2 , MODE_TRACK_POS = 3 , MODE_TRACK_NEG = 4 , MODE_DETECT = 5 }

## Public Member Functions
| TrackerContribSamplerCSC (const TrackerContribSamplerCSC::Params &parameters=TrackerContribSamplerCSC::Params())
| Constructor.
| ~TrackerContribSamplerCSC ()
void | setMode (int samplingMode)
| Set the sampling mode of TrackerContribSamplerCSC.
Public Member Functions inherited from cv::detail::tracking::TrackerContribSamplerAlgorithm
virtual | ~TrackerContribSamplerAlgorithm ()
| Destructor.
String | getClassName () const
| Get the name of the specific TrackerContribSamplerAlgorithm.
virtual bool | sampling (const Mat &image, const Rect &boundingBox, std::vector< Mat > &sample) CV_OVERRIDE
| Computes the regions starting from a position in an image.
Public Member Functions inherited from cv::detail::tracking::TrackerSamplerAlgorithm
virtual | ~TrackerSamplerAlgorithm ()

## Protected Member Functions
bool | samplingImpl (const Mat &image, Rect boundingBox, std::vector< Mat > &sample) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::tracking::TrackerContribSamplerAlgorithm

## Additional Inherited Members
Static Public Member Functions inherited from cv::detail::tracking::TrackerContribSamplerAlgorithm
static Ptr< TrackerContribSamplerAlgorithm > | create (const String &trackerSamplerType)
| Create TrackerContribSamplerAlgorithm by tracker sampler type.
Protected Attributes inherited from cv::detail::tracking::TrackerContribSamplerAlgorithm
String | className

## Detailed Description

TrackerSampler based on CSC (current state centered), used by MIL algorithm TrackerMIL.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
MODE_INIT_POS | mode for init positive samples
MODE_INIT_NEG | mode for init negative samples
MODE_TRACK_POS | mode for update positive samples
MODE_TRACK_NEG | mode for update negative samples
MODE_DETECT | mode for detect samples

## Constructor & Destructor Documentation

## ◆ TrackerContribSamplerCSC()

cv::detail::tracking::TrackerContribSamplerCSC::TrackerContribSamplerCSC | ( | const TrackerContribSamplerCSC::Params & | parameters = TrackerContribSamplerCSC::Params() | ) |

Constructor.

Parameters

  parameters | TrackerContribSamplerCSC parameters TrackerContribSamplerCSC::Params

## ◆ ~TrackerContribSamplerCSC()

cv::detail::tracking::TrackerContribSamplerCSC::~TrackerContribSamplerCSC | ( |  | ) |

## Member Function Documentation

## ◆ samplingImpl()

bool cv::detail::tracking::TrackerContribSamplerCSC::samplingImpl | ( | const Mat & | image,
|  | Rect | boundingBox,
|  | std::vector< Mat > & | sample )
| protected virtual

Implements cv::detail::tracking::TrackerContribSamplerAlgorithm.

## ◆ setMode()

void cv::detail::tracking::TrackerContribSamplerCSC::setMode | ( | int | samplingMode | ) |

Set the sampling mode of TrackerContribSamplerCSC.

Parameters

  samplingMode | The sampling mode

The modes are:

- "MODE_INIT_POS = 1" – for the positive sampling in initialization step
- "MODE_INIT_NEG = 2" – for the negative sampling in initialization step
- "MODE_TRACK_POS = 3" – for the positive sampling in update step
- "MODE_TRACK_NEG = 4" – for the negative sampling in update step
- "MODE_DETECT = 5" – for the sampling in detection step

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_internals.hpp